Bug 580703 - Sound does not work out of the box on Macbook Pro 5,5, 6,2
Summary: Sound does not work out of the box on Macbook Pro 5,5, 6,2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 590907 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-08 19:48 UTC by Jon Masters
Modified: 2013-02-26 15:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 15:27:24 UTC


Attachments (Terms of Use)
lspci (11.45 KB, text/plain)
2010-11-12 17:57 UTC, Marius Andreiana
no flags Details
alsainfo (41.36 KB, text/plain)
2010-11-17 22:17 UTC, Marius Andreiana
no flags Details

Description Jon Masters 2010-04-08 19:48:36 UTC
Description of problem:

Sound appears muted out of the box on Macbook Pro (5,5) systems. Once the channels are setup using alsamixer, it does work, including headphone out. This is an improvement from the past (from what I have read), but it would be nice if the channels were not muted by default.

Comment 1 François Kooman 2010-11-03 11:15:11 UTC
Duplicate of #590907?

Comment 2 Bug Zapper 2010-11-03 17:33:57 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Marius Andreiana 2010-11-12 17:56:09 UTC
Even after changing volume for Intel card with alsamixer, I still get no sound on MBP 6.2, Fedora 14

Comment 4 Marius Andreiana 2010-11-12 17:57:14 UTC
Created attachment 460115 [details]
lspci

Comment 5 Jon Masters 2010-11-16 07:56:52 UTC
I just gave up in the end.

Comment 6 Lennart Poettering 2010-11-17 22:13:09 UTC
Needs to be changed in the alsa mixer init db.

Comment 7 Marius Andreiana 2010-11-17 22:17:56 UTC
Created attachment 461173 [details]
alsainfo

Comment 8 Marius Andreiana 2010-11-17 22:23:00 UTC
*** Bug 590907 has been marked as a duplicate of this bug. ***

Comment 9 Marius Andreiana 2010-11-27 11:23:12 UTC
Update: it works on headphones, but not on laptop's speakers. 
More info:
http://www.spinics.net/lists/alsa-devel/msg39238.html
http://ubuntuforums.org/showthread.php?s=8767d5342bba908876b641e6da4a3505&t=1188849&page=10

Comment 10 Marius Andreiana 2010-12-07 17:20:28 UTC
Update: front speakers are muted again on each reboot.

Comment 11 Marius Andreiana 2011-04-10 16:54:28 UTC
In F15 sound is still muted by default. Microphone doesn't work too.

Comment 12 Christian Kujau 2011-04-18 18:45:30 UTC
F15, headphones work but not the speakers and I cannot unmute (alsamixer says it is, but there's no sound). I'm passing "model=mbp55" or "model=3stack-6ch" to "snd-hda-intel", but it does not help. Any hints how to "unmute" the speakers?

Comment 13 François Kooman 2011-04-19 07:43:43 UTC
590907 has all the relevant details to fix this problem, it seems a very trivial fix.

It appears this bug should be reassigned to alsa-lib, that is maybe why no one picked up on this yet?

It can be manually fixed using "alsamixer -c 0" and unmuting the front speaker.

Comment 14 Marius Andreiana 2011-04-24 21:32:06 UTC
Reassigned. Any fix for the microphone?

Comment 15 Fedora End Of Life 2013-01-16 21:42:04 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Hugh Caley 2013-02-01 00:41:32 UTC
I am running Fedora 18 on a 2012 iMac (iMac 12,1).  Speakers attached to the sound output of this Mac do not work by default.  There is a script listed in the following link from the Ubuntu forums that works fine; I just run it twice as root and my sound works again.  

https://answers.launchpad.net/ubuntu/+source/alsa-driver/+question/195412

Comment 17 Hugh Caley 2013-02-01 00:55:55 UTC
the alsamixer fix above does not fix it.

Comment 18 Fedora End Of Life 2013-02-26 15:27:31 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.